%define module  svglib

Name:           python-%{module}
Version:        1.4.1
Release:        %mkrel 1
Summary:        Python library for reading and converting SVG
Group:          Development/Python
License:        LGPLv3
URL:            https://github.com/deeplook/svglib
Source0:        %{pypi_source %{module}}
BuildArch:      noarch

%description
Pure Python library for reading and converting SVG.

%package -n     python3-%{module}
Summary:        Python 3 library for reading and converting SVG
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Pure Python3 library for reading and converting SVG.

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

# Remove hashbang
sed -i '1{/^#!/d}' svglib/svglib.py

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc CHANGELOG.rst README.rst
%license LICENSE.txt
%{_bindir}/svg2pdf
%{_mandir}/man1/svg2pdf.1*
%{python3_sitelib}/svglib*/


%changelog
* Thu Nov 24 2022 daviddavid <daviddavid> 1.4.1-1.mga9
+ Revision: 1910834
- new version: 1.4.1
- initial package python-svglib

